<?php	session_start(); ?>
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html> <head>
<link rel="stylesheet" type="text/css" href="styles/opal.css" />
<link rel="stylesheet" type="text/css" href="styles/query.css" />
<link rel="stylesheet" type="text/css" href="styles/results.css" />
<link rel="stylesheet" type="text/css" href="styles/atnf.css" />
<title></title>
</head>

<?php
    echo "PHP version = ".phpversion()."<br>\n";

include_once("constants.php");
include_once("security.php");
include_once("header.html");
include_once("database.php");

$link = db_connect();

if(!$link){
  include_once("header.html");

  echo"<body class=\"atoa\">\n\n";
  
  echo "<h1>ATNF Pulsar Data Archive</h1>\n\n";

  echo "<b>\n The Archive is currently down for maintenance. <br>\n Please call again soon!. <br>\n</b>\n\n";

  include_once("footer.html");
  
  echo "\n</body>\n</html>\n";
  
  exit;
 }
// Clear any old form inputs in session cache
//init($link);

$query = "select min(t.mjd), max(t.mjd) from ((select mjd from ".S70_TABLE.") union (select mjd from ".OBSERVATIONS_TABLE.")) as t";
$result = mysql_query($query) or die('Query 1 failed: ' . mysql_error());

$row = mysql_fetch_array($result);

$min_mjd = $row[0];
$max_mjd = $row[1];

// Convert from MJD to JD
$min_jd = $min_mjd + 2400000.5;
$max_jd = $max_mjd + 2400000.5;

// convert the mjd to a date
$min_jd = floor($min_jd);
$max_jd = ceil($max_jd);

$min_unix = jdtounix($min_jd);
$max_unix = jdtounix($max_jd);
$min_date_text = date("j F Y", $min_unix);
$max_date_text = date("j F Y", $max_unix);

// If the user clicked on the logout button
if (isset($HTTP_GET_VARS['command'])) {
	$command = $HTTP_GET_VARS['command'];
	if ($command == 'logout') {
		//unset($_SESSION['auth_code']);
		//unset($_SESSION['username']);
		$_SESSION = array();
	}
}

// If the user hasn't logged in before or if the previous
// session's authentication wasn't successful
// Then use the submitted username and password

echo "auth_code = $auth_code<br>\n";
if (!isset($_SESSION['auth_code']) || $_SESSION['auth_code'] != OK) {
  $username = $HTTP_POST_VARS["opalEmail"];
  $password = $HTTP_POST_VARS["opalPassword"];
  $type = $HTTP_POST_VARS['authenticateType'];
  if($type == "anon"){
    echo "Hello<br>\n";
    $username = $HTTP_POST_VARS["email"];
    $auth_code = OK;
  }
  else{
    $auth_code = authenticate($username,$password);
    //$auth_code = newAuthenticate();
  }
 }
 else {
   $auth_code = $_SESSION['auth_code'];
   $username = $_SESSION['username'];
 }

if($auth_code != OK) {
?>

<body>
<h1>The ATNF Pulsar Data Archive</h1>

<p>The ATNF Pulsar Data Archive provides access to pulsar observations
made with the Parkes radio Telescope. Data older than 
<?php echo PROPRIETRY_PERIOD_MONTH ?> months is
publicly available, and can be accessed by simply providing your email
address. More recent data is proprietry, and can only be accessed by
those who were involved in the proposal. To access this data, check
the OPAL button and enter your OPAL details.</p>

<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="POST">
<table width="700" style="border: 0px;">

  <tr>
    <td><input type="radio" name="authenticateType" checked value="anon">Non-proprietry access<br> 
      <table class="login" width="500" style="border: 0px;"> 
	<tr>
	  <td class="form_field">Email: </td>
	  <td><input type="text" name="email"></td>
	</tr>
      </table>
      <br>
    </td>
  </tr>
  
  <tr>
    <td><input type="radio" name="authenticateType" value="opal">OPAL authentication<br>
      <table class="login" width="500" style="border: 0px;">
	<tr><td class="form_field">Email: </td><td><input type="text" name="opalEmail"></td></tr>
	<tr><td class="form_field">Password: </td><td><input type="password" name="opalPassword"></td></tr>
      </table>
      <br>
    </td>
  </tr>
  
  <tr>
    <td><input type="submit" value="Login"><input type="reset" value="Reset"></td>
  </tr>
</table>

</form>

<?php
    } else{
	$_SESSION['username'] = $username;
	$_SESSION['auth_code'] = $auth_code;

	$actions = $HTTP_GET_VARS['actions'];
	
	if ($actions == "new_query") {
		init();
	}
	else if ($actions == "error") {
		$date_error = "You are only authorised to access data > 18 months old";
	}
?>
<body class="atoa">
    
    <h1>ATNF Pulsar Data Archive</h1>

    <a class="top_menu" href="<?php echo $PHP_SELF; ?>?command=logout">Logout</a>

    <p>This archive provides access to pulsar observations taken at the Parkes radio telescope between the dates of <?php echo $min_date_text." and ".$max_date_text?>.</p>
   <?php 
   if($type=="anon" || !atnf_staff($_SESSION['username'])){
     $today_mjd = cal_to_jd ( CAL_GREGORIAN, date("n"), date("j"), date("Y") ) - 2400000.5;
     $max_mjd = $today_mjd - 730;
     $max_date = cal_from_jd($max_mjd+2400000.5, CAL_GREGORIAN);
     echo "<p>Note that you do not have access to data more recent than <b>".
     $max_date['day']." ".$max_date['abbrevmonth'].", ".$max_date['year']."</b>.</p>\n";
   }
	?>
   <p>See the Users Guide link for more details. </p>

<p> The query forms would go here</p>

<?php } 
include_once("footer.html");
?>
<hr>
<address></address>
<!-- hhmts start --> Last modified: Tue Feb  5 13:01:50 EST 2008 <!-- hhmts end -->
</body> </html>
